package ru.yandex.webmaster3.core.solomon.metric;

import com.fasterxml.jackson.annotation.JsonIgnore;

/**
 * Created by ifilippov5 on 03.05.17.
 */
public class SolomonCommonLabels {
    private final String project;
    private final String cluster;
    private final String service;
    private final String host;

    public SolomonCommonLabels(String project, String service, String cluster, String host) {
        this.project = project;
        this.cluster = cluster;
        this.service = service;
        this.host = host;
    }

    public String getHost() {
        return host;
    }

    @JsonIgnore
    public String getProject() {
        return project;
    }

    @JsonIgnore
    public String getCluster() {
        return cluster;
    }

    @JsonIgnore
    public String getService() {
        return service;
    }
}
